Subject: [pkix] [Errata Verified] RFC3279 (4036)

From: RFC Errata System <[email-masked]>
Date: Tue, 31 Mar 2015 14:05:02 -0700 (PDT)

The following errata report has been verified for RFC3279,
"Algorithms and Identifiers for the Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3279&eid=4036

--------------------------------------
Status: Verified
Type: Technical

Reported by: Matthias Koenig <[email-masked]>
Date Reported: 2014-07-03
Verified by: Kathleen Moriarty (IESG)

Section: 2.3.3

Original Text
-------------
g specifies the generator of the multiplicative subgroup of order g;

Corrected Text
--------------
g specifies the generator of the multiplicative subgroup of order q;

Notes
-----
RFC2631 states that g is of order q mod p (section 2.1.1).
Also, X9.42 (which is referenced in section 2.3.3 of RFC3279) defines g as
"generator of the q-order cyclic subgroup of GF(p), that is, an element of order q in the multiplicative group of GF(p)" (X9.42:2001, section 4.1)

--------------------------------------
RFC3279 (draft-ietf-pkix-ipki-pkalgs-05)
--------------------------------------
Title               : Algorithms and Identifiers for the Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile
Publication Date    : April 2002
Author(s)           : L. Bassham, W. Polk, R. Housley
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG